summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSamuel Holland <samuel@sholland.org>2019-05-19 18:31:32 -0500
committerMichał Górny <mgorny@gentoo.org>2019-06-22 09:32:20 +0200
commit14d93ff778b4038b4d5e32e640d5dac10b7ee590 (patch)
tree0efaa6d3f7fae243680bb9e03ba51da28e7b8d87 /sys-apps/s6-rc
parentsys-apps/s6-portable-utils: Version bump to 2.2.1.3 (diff)
downloadgentoo-14d93ff778b4038b4d5e32e640d5dac10b7ee590.tar.gz
gentoo-14d93ff778b4038b4d5e32e640d5dac10b7ee590.tar.bz2
gentoo-14d93ff778b4038b4d5e32e640d5dac10b7ee590.zip
sys-apps/s6-rc: Version bump to 0.5.0.0
Signed-off-by: Samuel Holland <samuel@sholland.org> Signed-off-by: Michał Górny <mgorny@gentoo.org>
Diffstat (limited to 'sys-apps/s6-rc')
-rw-r--r--sys-apps/s6-rc/Manifest1
-rw-r--r--sys-apps/s6-rc/s6-rc-0.5.0.0.ebuild53
2 files changed, 54 insertions, 0 deletions
diff --git a/sys-apps/s6-rc/Manifest b/sys-apps/s6-rc/Manifest
index 3534d166438..95c1738fa0f 100644
--- a/sys-apps/s6-rc/Manifest
+++ b/sys-apps/s6-rc/Manifest
@@ -2,3 +2,4 @@ DIST s6-rc-0.3.0.0.tar.gz 93183 BLAKE2B 0096fe268393192867b1e2d45f9a46c0a7618478
DIST s6-rc-0.4.0.0.tar.gz 96417 BLAKE2B fea4cfbadd82e8e775e4ba2cc1168fc3932f2f23335efa73f254fb17176954cf4d0c10e16bcecf4d62e9ebe05cb213e370042f86e40cb5a4a5583768fe313a83 SHA512 81ed2b09ab980e9d531e6b919f25fe9819f6144e7e639d488362fd872aead73244a03d83da9abd4cb64c10226c5e6fd163c517dcd59566b32a26841b4814ac21
DIST s6-rc-0.4.0.1.tar.gz 96491 BLAKE2B fe6aa6e2ed868cca6d76928571d561784012ded476825501bb137798c644495a06c2b08c752198d6e985f48fe34404868fa24d49785ff42610e1dd7314ee8088 SHA512 f4e4105dd51eb9dfa4ba45d3f85970d763c70eb5e276de818d9b2c75db9153d3000dd7579ca8e7c4bf814b05bcbcde1dd9b363c57c6507f1cc5af7898049fba7
DIST s6-rc-0.4.1.0.tar.gz 96840 BLAKE2B 07a05ab7f69a821c677d569051dbe4c22c4e774540866fee6acb91853195a7138965869698cf33eb8d02d183f55e8945beacd567fba742a0bf092cb6e65a7c89 SHA512 12bb1136bc1222e09f115118b631dd5ce7d8155151b1e57427ae932db7654484543dbf5b12f442708ca9defe51d44bba9785caf0a9857847a1f3acb375301e92
+DIST s6-rc-0.5.0.0.tar.gz 97247 BLAKE2B 5b38029c78a6910278819c6616cebfa1dfc4f11e8ad4e9b376e576a30ccdf881520212ef0c2c9a4ee4218c0b9a9751fc6855701ba0126bbf682c054ff2a7cfb7 SHA512 3fa084dd4eb489a8279135760d8051b74176994161cd989f038bef59b8abd6b8bc8c48a6ad2d2e7860627ee749d4abf6cda98857c7052f1097e9591a97355a18
diff --git a/sys-apps/s6-rc/s6-rc-0.5.0.0.ebuild b/sys-apps/s6-rc/s6-rc-0.5.0.0.ebuild
new file mode 100644
index 00000000000..6830fe022a5
--- /dev/null
+++ b/sys-apps/s6-rc/s6-rc-0.5.0.0.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DESCRIPTION="Service manager for the s6 supervision suite"
+HOMEPAGE="https://www.skarnet.org/software/s6-rc/"
+SRC_URI="https://www.skarnet.org/software/${PN}/${P}.tar.gz"
+
+LICENSE="ISC"
+SLOT="0/$(ver_cut 1-2)"
+KEYWORDS="~amd64 ~x86"
+IUSE="static static-libs"
+
+REQUIRED_USE="static? ( static-libs )"
+
+RDEPEND=">=dev-lang/execline-2.5.1.0:=[static-libs?]
+ >=dev-libs/skalibs-2.8.0.0:=[static-libs?]
+ >=sys-apps/s6-2.8.0.0:=[static-libs?]
+"
+DEPEND="${RDEPEND}"
+
+HTML_DOCS=( doc/. )
+
+src_prepare() {
+ default
+
+ # Avoid QA warning for LDFLAGS addition; avoid overriding -fstack-protector
+ sed -i -e 's/.*-Wl,--hash-style=both$/:/' -e '/-fno-stack-protector$/d' \
+ configure || die
+}
+
+src_configure() {
+ econf \
+ --bindir=/bin \
+ --dynlibdir=/usr/$(get_libdir) \
+ --libdir=/usr/$(get_libdir)/${PN} \
+ --with-dynlib=/usr/$(get_libdir) \
+ --with-lib=/usr/$(get_libdir)/execline \
+ --with-lib=/usr/$(get_libdir)/s6 \
+ --with-lib=/usr/$(get_libdir)/skalibs \
+ --with-sysdeps=/usr/$(get_libdir)/skalibs \
+ --enable-shared \
+ $(use_enable static allstatic) \
+ $(use_enable static static-libc) \
+ $(use_enable static-libs static)
+}
+
+pkg_postinst() {
+ ewarn "Databases from ${PN}-0.3.0.0 or earlier must be manually upgraded!"
+ ewarn "See the upgrade notes at ${EROOT}/usr/share/doc/${PF}/html/upgrade.html"
+ ewarn "and the documentation for the s6-rc-format-upgrade utility."
+}